Skip to main content

DefinitionResponse

Response returned by all definition write operations: POST /registry/definitions (register) POST /registry/definitions/{id}/deprecate POST /registry/definitions/{id}/promote POST /definitions/concepts POST /definitions/conditions POST /definitions/primitives

Used for all definition_type values: concept, condition, action, primitive.

meaning_hash — semantic hash (concepts only). Stable for semantically equivalent concepts regardless of authoring structure. ir_hash — execution graph hash (concepts only). Same definition version always produces the same ir_hash (compilation invariant).

definition_idDefinition Id (string)required
versionVersion (string)required
definition_typeDefinition Type (string)required
namespaceNamespace (string)required

Possible values: [personal, team, org, global]

meaning_hash object
anyOf
string
ir_hash object
anyOf
string
deprecatedDeprecated (boolean)
Default value: false
deprecated_at object
anyOf
string<date-time>
replacement_version object
anyOf
string
created_at object
anyOf
string<date-time>
updated_at object
anyOf
string<date-time>
DefinitionResponse
{
"definition_id": "string",
"version": "string",
"definition_type": "string",
"namespace": "personal",
"meaning_hash": "string",
"ir_hash": "string",
"deprecated": false,
"deprecated_at": "2024-07-29T15:51:28.071Z",
"replacement_version": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z"
}